﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_roman_numerals_extension
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Convert.
        private void btnConvert_Click(object sender, EventArgs e)
        {
            // See if we have an Arabic or Roman input.
            if (txtArabic.Text.Length > 0)
            {
                int arabic = int.Parse(txtArabic.Text);
                string roman = arabic.ToRoman();
                int recovered = roman.ToArabic();

                txtRecoveredRoman.Text = roman;
                txtRecoveredArabic.Text = recovered.ToString();
            }
            else
            {
                string roman = txtRoman.Text;
                int arabic = roman.ToArabic();
                string recovered = arabic.ToRoman();

                txtRecoveredRoman.Text = recovered;
                txtRecoveredArabic.Text = arabic.ToString();
            }

            txtArabic.Clear();
            txtRoman.Clear();
        }
    }
}
